.navbar {
  position: fixed;
  padding: var(--margin);
  bottom: 0;

  display: flex;
  gap: var(--margin);

  /* Above content, which is at 0. */
  /* Notifications are at height 1. We want them to appear bellow the bar on mobile. */
  z-index: 2;
}

/* On mobile, navbar is fixed at the bottom. */
@media (width < 940px) {
  .navbar {
    width: 100%;
    min-height: var(--navbar-height);

    justify-content: space-around;

    background: var(--color-background-d1);
  }
}

/* On desktop, navbar is fixed on the left. */
@media (width >= 940px) {
  .navbar {
    padding: 0 var(--margin);
    padding-bottom: var(--margin);
    min-width: var(--navbar-width);
    top: var(--headerbar-height); /* Make room for the header bar. */

    flex-direction: column;

    transition: padding-top var(--transition-duration);
  }

  .navbar.lower {
    padding-top: var(--margin); /* Lower the navbar a little. */
  }
}

@media print {
  .navbar {
    display: none;
  }
}

.navbar > :global(.button) {
  flex-direction: column;
  padding: 0;

  background: transparent;
}

.navbar > :global(.button):is(:hover,:focus) {
  background: transparent;
}

.navbar > :global(.button) > :global(.icon) {
  width: 64px;
  padding: 4px;
  margin-bottom: 4px;

  border-radius: 1000px; /* Very large for capsule shape */

  text-align: center;
}

.navbar > :global(.button):is(:hover,:focus) > :global(.icon) {
  background: var(--button-background-hover);
}

.navbar > :global(.button.active) > :global(.icon) {
  background: var(--button-background-active);
}

.navbar > :global(.button.active):is(:hover,:focus) > :global(.icon) {
  background: var(--button-background-active-hover);
}